> ## Documentation Index
> Fetch the complete documentation index at: https://developer.qminder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Getting a list of users



## OpenAPI

````yaml /api-reference/openapi.json get /v1/locations/{id}/users
openapi: 3.1.0
info:
  title: Qminder API
  version: '1.0'
  description: >-
    The Qminder API allows you to integrate queue management into your own
    applications.
servers:
  - url: https://api.qminder.com
security:
  - sec0: []
tags:
  - name: Locations
    description: Manage physical service locations
  - name: Lines
    description: Manage virtual queues within locations
  - name: Input Fields
    description: Manage custom data fields for locations
  - name: Tickets
    description: Manage visitor queue entries
  - name: Appointments
    description: Manage scheduled appointments
  - name: Users
    description: Manage user accounts and permissions
  - name: Webhooks
    description: Manage webhook subscriptions
paths:
  /v1/locations/{id}/users:
    get:
      tags:
        - Users
      summary: Getting a list of users
      operationId: getting-a-list-of-users
      parameters:
        - name: id
          in: path
          description: The ID of the Location to query
          schema:
            type: integer
            format: int32
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "statusCode": 200,
                      "data": [
                        {
                          "id": 891,
                          "email": "test-user@qminder.com",
                          "firstName": "Test",
                          "lastName": "User",
                          "selectedLocation": 4022
                        }
                      ]
                    }
              schema:
                type: object
                properties:
                  statusCode:
                    type: integer
                    example: 200
                    default: 0
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 891
                          default: 0
                        email:
                          type: string
                          example: test-user@qminder.com
                        firstName:
                          type: string
                          example: Test
                        lastName:
                          type: string
                          example: User
                        selectedLocation:
                          type: integer
                          example: 4022
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: X-Qminder-REST-API-Key
      x-default: yourbusinessapikey

````